Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/Debug/Makefile	(revision 374)
@@ -158,4 +158,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  共通コンパイルオプションの定義
 #
@@ -193,5 +199,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugCitrus/Makefile	(revision 374)
@@ -158,4 +158,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  共通コンパイルオプションの定義
 #
@@ -193,5 +199,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/DebugEther/Makefile	(revision 374)
@@ -158,4 +158,10 @@
 
 #
+#  mbedサービスの定義
+#
+
+include $(SRCDIR)/mbed/Makefile.mbed
+
+#
 #  共通コンパイルオプションの定義
 #
@@ -193,5 +199,5 @@
 APPL_COBJS := $(APPL_COBJS) ping.o ping6.o resolver.o dhcp4_cli.o netapp_subr.o ntp_cli.o net_misc.o
 APPLDIRS := $(APPLDIRS) ../../ntshell/tlsf ../../ntshell/fatfs ../../ntshell/ntshell ../../ntshell/ntshell/core ../../ntshell/ntshell/util ../../ntshell/src
-APPL_COBJS := $(APPL_COBJS) mbed_api.o netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
+APPL_COBJS := $(APPL_COBJS) netcmd.o fdtable.o io_stub.o socket_stub.o ffarch.o diskio.o ff.o mmc_rspi.o ccsbcs.o ntshell.o text_editor.o text_history.o usrcmd.o vtrecv.o vtsend.o ntlibc.o ntstdio.o ntopt.o syscall.o tlsf.o
 
 #
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.c	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  *
- *  @(#) $Id: client.c 1729 2019-01-09 14:44:36Z coas-nagasima $
+ *  @(#) $Id$
  */
 #include <lib/curl_config.h>
@@ -47,5 +47,5 @@
 #include "kernel_cfg.h"
 #include "ff.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "client.h"
 #include "jsonsl.h"
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.h	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/client.h	(revision 374)
@@ -33,5 +33,5 @@
  *  の責任を負わない．
  * 
- *  @(#) $Id: client.h 1784 2019-02-06 01:11:25Z coas-nagasima $
+ *  @(#) $Id$
  */
 
Index: asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 373)
+++ asp3_tinet_ecnl_rx/trunk/app1_usb_watt_meter/src/main.c	(revision 374)
@@ -68,9 +68,9 @@
 #include "core/ntshell.h"
 #include "core/ntlibc.h"
-#include "util/ntstdio.h"
+#include <stdio.h>
 #include "usrcmd.h"
 #include "util/ntopt.h"
 #include "socket_stub.h"
-#include "mbed_api.h"
+#include "gpio_api.h"
 #include "usb_hbth.h"
 #include "ntshell_main.h"
@@ -188,19 +188,14 @@
 {
 	FILINFO fno;
-#if _USE_LFN
-	char lfn[_MAX_LFN + 1];
+#if FF_USE_LFN
+	char lfn[FF_MAX_LFN + 1];
 	fno.lfname = lfn;
-	fno.lfsize = _MAX_LFN + 1;
+	fno.lfsize = FF_MAX_LFN + 1;
 #endif
 	ER ret;
 
-#ifdef TOPPERS_OMIT_TECS
-	serial_opn_por(SIO_PORTID);
-#endif
-	serial_ctl_por(SIO_PORTID, IOCTL_FCSND | IOCTL_FCRCV);
-
 	//wolfSSL_Debugging_ON();
 
-	ntshell_task_init(uart_read, uart_write, &main_obj);
+	ntshell_task_init(SIO_PORTID);
 
 	main_obj.timer = TMO_FEVR;
